using System;
using System.Collections.Generic;

[Serializable]
public class PresetReferenceData {

  public string name;
  public List<VisualBlueprintReferenceData> visualBlueprintData;

  public PresetReferenceData(string name) {
    this.name = name;
    visualBlueprintData = new List<VisualBlueprintReferenceData>();
  }

  public void AddBlueprintReferenceData(VisualBlueprintReferenceData data) {
    this.visualBlueprintData.Add(data);
  }

  public string GetName() {
    return name;
  }

  public List<VisualBlueprintReferenceData> GetVisualBlueprintData() {
    return visualBlueprintData;
  }
}
