﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class VisualBlueprint {

	[SerializeField]
	private string name;

	[SerializeField]
	private GameObject blueprint;

	public VisualBlueprint(string name, GameObject bluePrintObject) {
		this.name = name;
		blueprint = bluePrintObject;
	}

	public void SetBlueprintObject(GameObject o) {
		blueprint = o;
	}

	public string GetName() {
		return name;
	}

	public GameObject GetBlueprintObject() {
		return blueprint;
	}
}
